nlohmann::detail::iterator_traits< T *, enable_if_t< std::is_object< T >::value > > Struct Template Reference

`#include <json.hpp>`

Collaboration diagram for nlohmann::detail::iterator_traits< T *, enable_if_t< std::is_object< T >::value > >:

## Public Types

using | iterator_category = std::random_access_iterator_tag
using | value_type = T
using | difference_type = ptrdiff_t
using | pointer = T *
using | reference = T &

## Detailed Description

### template<typename T>
struct nlohmann::detail::iterator_traits< T *, enable_if_t< std::is_object< T >::value > >

Definition at line 3252 of file json.hpp.

## Member Typedef Documentation

## difference_type

template<typename T >

using nlohmann::detail::iterator_traits< T *, enable_if_t< std::is_object< T >::value > >::difference_type = ptrdiff_t

Definition at line 3256 of file json.hpp.

## iterator_category

template<typename T >

using nlohmann::detail::iterator_traits< T *, enable_if_t< std::is_object< T >::value > >::iterator_category = std::random_access_iterator_tag

Definition at line 3254 of file json.hpp.

## pointer

template<typename T >

using nlohmann::detail::iterator_traits< T *, enable_if_t< std::is_object< T >::value > >::pointer = T*

Definition at line 3257 of file json.hpp.

## reference

template<typename T >

using nlohmann::detail::iterator_traits< T *, enable_if_t< std::is_object< T >::value > >::reference = T&

Definition at line 3258 of file json.hpp.

## value_type

template<typename T >

using nlohmann::detail::iterator_traits< T *, enable_if_t< std::is_object< T >::value > >::value_type = T

Definition at line 3255 of file json.hpp.

The documentation for this struct was generated from the following file:

- json.hpp